Bug 135830 - Please add "StartupNotify=true" in /usr/share/applications/mozilla-firefox.desktop
Please add "StartupNotify=true" in /usr/share/applications/mozilla-firefox.de...
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: firefox (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Christopher Aillon
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-10-15 06:12 EDT by sangu
Modified: 2007-11-30 17:10 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-04 05:31:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
patch to add startup notification to Firefox (369 bytes, patch)
2004-11-11 17:59 EST, Damian Christey
no flags Details | Diff

  None (edit)
Description sangu 2004-10-15 06:12:56 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; rv:1.7.3) Gecko/20041012
Firefox/0.10.1

Description of problem:
Please add "StartupNotify=true" in
/usr/share/applications/mozilla-firefox.desktop

Please see also : http://freedesktop.org/Software/startup-notification



Version-Release number of selected component (if applicable):
firefox-0.10.1-1.0PR1.10

How reproducible:
Always

Steps to Reproduce:
1. Excute firefox in menu or panel
2.
3.
    

Actual Results:  No circling mouse cursor icon(sand clock icon).

Expected Results:  Circling mouse cursor icon(sand clock icon).

Additional info:
Comment 1 Warren Togami 2004-10-31 04:35:13 EST
I want to add this, but it behaves to not behave properly for some
reason.  It does not cancel startup notification when the window pops up.
Comment 2 Damian Christey 2004-11-11 17:50:46 EST
That is not the correct line.

For applications that aren't build to use to use startup notification,
you must add a "StartupWMClass=" line.

Adding "StartupWMClass=Firefox-bin" to Firefox's .desktop file makes
it work perfectly with startup notification for me.
Comment 3 Damian Christey 2004-11-11 17:59:24 EST
Created attachment 106534 [details]
patch to add startup notification to Firefox
Comment 5 Havoc Pennington 2004-11-12 11:55:57 EST
Correct, StartupWMClass should be used if startup notification is not
implemented by the app.

To use StartupWMClass you must be able to guarantee that launching
this .desktop file will open a window with that class *always*
Comment 6 Warren Togami 2004-11-12 13:08:24 EST
Do we want to use StartupWMClass or use the patch in comment #3.
Comment 7 Havoc Pennington 2004-11-12 14:12:41 EST
Um, the patch adds StartupWMClass
Comment 8 Christopher Aillon 2004-12-04 05:31:59 EST
Fixed in 1.0-4

Note You need to log in before you can comment on or make changes to this bug.